extends InputStrategy
class_name InputStrategy_Stuck

func enter() -> void:
	pass

func exit() -> void:
	pass

func update() -> void:
	if not Input.is_mouse_button_pressed(MOUSE_BUTTON_LEFT):
		transition_to(State.IDLE)
		return